Subject: RE: [External] : bug#48307: Feature request: provide default keybindings to change the font size in all windows

From: Drew Adams <[email-masked]>
Date: Mon, 10 May 2021 15:26:22 +0000

> >>> Why does it make sense to inhibit frame resizing in this case?  I
> >>> think it will make an ugly display: mode-line text will spill over,
> >>> lines will become wrapped, etc.
> >>
> >> Because (1) it's what other programs do,
> >
> > See what I wrote.  That can be good and bad. Why limit Emacs to what
> > other programs do?
> 
> I don't want to limit Emacs to anything... but not everything can be
> bound to a key or a mouse event.  Perhaps this could become a defcustom,
> defaulting to t?

,----
| text-scale-resize-window is a variable defined in `face-remap+.el'.
| 
| Its value is t
| 
| Documentation:
| Non-nil means text scaling resizes the window or frame accordingly.
| For example, if you use `C-x C--' (`text-scale-decrease')' to make the
| text smaller, then the window or frame is made smaller by a similar
| factor.
| 
| If the window is not alone in its frame, then the window is resized.
| Otherwise, the frame is resized (provided you also use library
| `fit-frame.el').  The frame is always resized both horizontally and
| vertically.
| 
| You can customize this variable.
`----